<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_ret.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));
$tx = strip_tags(trim(@$_POST["tx"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$nom = str_majuscules(strip_tags(str_escape(trim(@$_POST["nom"]))));
$expays= str_majuscules(strip_tags(str_escape(trim(@$_POST["excodepays"]))));
$pays= str_majuscules(strip_tags(str_escape(trim(@$_POST["codepays"]))));
$lng= str_majuscules(strip_tags(str_escape(trim(@$_POST["lng"]))));

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);
switch ($td)
{
	// Ajout de la fiche Département
	case "add" :
		$rech = "SELECT * FROM " .TBDEP. " WHERE `dep_code` = '$code' AND `dep_codepays` = '$pays' AND `dep_lng` = '$lng'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rs = mysql_query("INSERT INTO " .TBDEP. "(dep_code,dep_nom,dep_codepays,dep_lng) VALUES ('$code','$nom','$pays','$lng')") or die(mysql_error());
			$msg = $txt_fiche_add;
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
		break;
		
	// Modification de la fiche Département
	case "edit" :
		$rech = "SELECT * FROM " .TBDEP. " WHERE `dep_code` = '$code' AND `dep_codepays` = '$expays' AND `dep_lng` = '$lng'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 1)
		{
			$rech = "UPDATE `" .TBDEP. "` SET `dep_nom`='".$nom."', `dep_codepays`='".$pays."', `dep_lng`='".$lng."'";
			$rech.= " WHERE `dep_code` = '".$code."' AND `dep_codepays` = '".$expays."'";
			$rs = mysql_query($rech) or die(mysql_error());
			$msg = $txt_fiche_mod;
		}
		else
		{
			$msg = $txt_fiche_modnotok;
			$retourliste = FALSE;
		}
		break;

	// Suppression de la fiche Département
	case "del" :
		if (dep_in_pays_used($code,$pays,FALSE)==TRUE)
		{
			$msg= $txt_dep_used;
			$retourliste = FALSE;
		}
		else
		{
			$rech = "SELECT * FROM `" .TBDEP. "` WHERE `dep_code` = '$code' AND `dep_codepays` = '$pays' AND `dep_lng`='$lng'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 1)
			{
				// Non - > suppression de la fiche Département
				$rech = "DELETE FROM `" .TBDEP. "` WHERE `dep_code` = '$code' AND `dep_codepays` = '$pays' AND `dep_lng`='$lng'";
				$rs = mysql_query($rech) or die(mysql_error());
				$msg = $txt_fiche_del;
			}
			else
			{
				$msg = $txt_fiche_delnotok;
				$retourliste = FALSE;
			}
		}
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche D&eacute;partement</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenętres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>
<?PHP
if ($tx<>"f")
	include_once("../inc/entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>

<?PHP 
if ($tx<>"f")
{
	if ($retourliste == FALSE)
		aff_ret_idx_man($td,"dep_lst.php",$txt_lnk_ret_liste,TRUE);
	else
		aff_ret_lst_auto("dep_lst.php",2000);
} else {
	cre_js_dep("window.opener.");
?>
	<script type="text/javascript">
	<!--
	updatdep();
	self.close('fscomp');
	//-->
	</script>
<?PHP
}
if ($tx<>"f")
	include_once("pied.php")
?>